/*
 * (c) Copyright 2001-2003
 * Peter Blum, Peter.Blum@readme1st.de
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 * Version: 2.1.0.0  25 Aug 2003
 */

#ifndef _CONF_H
#define _CONF_H

#include <sys/types.h>

#define S68CONF  "s68.conf"

/*
 * Setup structure for address decoder
 */
typedef struct  {
    char    *type;      /* Device type */
    u_long  base;       /* Base address */
    u_long  size;       /* Bytes used for device */
    int     intlvl;     /* Interrupt level */
    char    *devarg;    /* Device argument i.e. rom image file */
} Dev;

typedef char * Cmd;

typedef struct  {
    int     numDev;        /* Number of devices */
    Dev     dev[32];       /* Max. 32 devices */
    u_long  rstBase;       /* Base address for reset vector fetch */
    int     numInstCycle;  /* Number of instruction per cycle call */
    int     numCmd;        /* Number of commands */
    Cmd     cmd[32];       /* Commands */
} Conf;

extern Conf conf;

/* Command line parameters */
extern int  quiet;      /* Quiet mode */

#endif
